Subject: Re: [PATCH net-next RFC 2/5] r8152: update to version two

From: Greg KH <[email-masked]>
Date: Tue, 8 Nov 2022 18:28:42 +0100

On Wed, Nov 09, 2022 at 02:33:39AM +1100, Albert Zhou wrote:
> Update the r8152 module to version two; the original source code is
> accessible from the Realtek website. The website is included in a
> comment in r8152.c, also describing the udev rules file I left out, in
> case this affects future development.
> 
> The only other edit from the original driver source is amending
> netif_napi_add, due to commit b48b89f9c189 ("net: drop the weight
> argument from netif_napi_add"), which removed the weight argument. This
> is also marked by a brief comment in the code.
> 
> The r8152_compatibility.h header was renamed from compatibility.h in the
> original driver.
> 
> Signed-off-by: Albert Zhou <[email-masked]>
> ---
>  drivers/net/usb/r8152.c               | 17938 +++++++++++++++++++-----
>  drivers/net/usb/r8152_compatibility.h |   658 +
>  2 files changed, 15130 insertions(+), 3466 deletions(-)
>  create mode 100644 drivers/net/usb/r8152_compatibility.h
> 
> diff --git a/drivers/net/usb/r8152.c b/drivers/net/usb/r8152.c
> index a481a1d831e2..cda0f4ed2a90 100644
> --- a/drivers/net/usb/r8152.c
> +++ b/drivers/net/usb/r8152.c
> @@ -1,6 +1,19 @@
>  // SPDX-License-Identifier: GPL-2.0-only
>  /*
> - *  Copyright (c) 2014 Realtek Semiconductor Corp. All rights reserved.
> + *  Copyright (c) 2021 Realtek Semiconductor Corp. All rights reserved.
> + *
> + * This program is free software; you can redistribute it and/or
> + * modify it under the terms of the GNU General Public License
> + * version 2 as published by the Free Software Foundation.

To start with, this is not correct.  Don't add back license boiler-plate
code.

And you just changed the copyright notice incorrectly, that is not ok.

> + *
> + *  This product is covered by one or more of the following patents:
> + *  US6,570,884, US6,115,776, and US6,327,625.

Oh wow.  That's playing with fire...

thanks,

greg k-h